function queue = queue(varargin)
%HASHTABLE Constructor for LIFO queue class
%   q  = queue    - Default constructor, empty queue table
%   mq = queue(q) - Copy constructor 

% $Id$

if nargin == 1 && isa(varargin{1},'queue')
    queue = varargin{1};
    return;
elseif nargin == 0
    q.index = 0;
		q.data = [];
    q.lifo = [];
else
    error('queue:queue', 'Invalid arguments.');
end
    
queue = class(q,'queue');
